/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@schuermans.info>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#ifndef INC_timing
#define INC_timing

// initialize
extern void TimingInit(void);

// get time in milliseconds
extern void TimingGetMs(unsigned long *ms);

// provide curent time stamp as entropy to random number generator
extern void TimingEntropy(void);

// provide curent 20ms tick counter as entropy to random number generator
extern void Timing20Entropy(void);

// task function to do the work - call from main loop
extern void TimingTask(void);

#endif // #ifndef INC_timing
